package com.appbackend.aleph.model;

public class LoanBook extends CatalogBook {

    private String barCode;
    private String returnTime;
    private Double currentFine;

    public LoanBook(String docNumber, String title, String author, String year, String isbn, String signature, String pages, String version, String barCode, String returnTime, Double currentFine) {
        super(docNumber, title, author, year, isbn, signature, pages, version);
        this.barCode = barCode;
        this.returnTime = returnTime;
        this.currentFine = currentFine;
    }

    public String getBarCode() {
        return barCode;
    }

    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    public String getReturnTime() {
        return returnTime;
    }

    public void setReturnTime(String returnTime) {
        this.returnTime = returnTime;
    }

    public Double getCurrentFine() {
        return currentFine;
    }

    public void setCurrentFine(Double currentFine) {
        this.currentFine = currentFine;
    }
}
