import React from "react";
import {View, ViewProps} from "react-native";
import Constants from "expo-constants";

export const MainView: React.FC<ViewProps> = (props: ViewProps) => {

    return (
        <View {...props} style={[props.style, {paddingTop: Constants.statusBarHeight, flex: 1}]} />
    );
};
