package com.appbackend.aleph.model;

import java.io.Serializable;

public class CatalogBook implements Serializable {

    protected String docNumber;
    protected String title;
    protected String author;
    protected String year;
    protected String isbn;
    protected String signature;
    protected String pages;
    protected String version;
    //    private Bitmap bookImage;


    public CatalogBook(String docNumber, String title, String author, String year, String isbn, String signature, String pages, String version) {
        this.docNumber = docNumber;
        this.title = title;
        this.author = author;
        this.year = year;
        this.isbn = isbn;
        this.signature = signature;
        this.pages = pages;
        this.version = version;
    }

    public String getDocNumber() {
        return docNumber;
    }

    public void setDocNumber(String docNumber) {
        this.docNumber = docNumber;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getIsbn() {
        return isbn;
    }

    public void setIsbn(String isbn) {
        this.isbn = isbn;
    }

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    public String getPages() {
        return pages;
    }

    public void setPages(String pages) {
        this.pages = pages;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }
}
