package com.appbackend.aleph.model;

import java.io.Serializable;

public class Item implements Serializable {
    private String docNumber;
    private String recKey;
    private String barCode;
    private String signature;
    private String studySignature;
    private String subLibrary;
    private String collection;
    private String itemStatus;
    private String note;
    private String library;
    private String onHold;
    private String requested;
    private String expected;
    private String loanStatus;
    private String loanInTransit;
    private String loanDueDate;
    private String state;

    public Item(String docNumber, String recKey, String barCode, String signature,
                String studySignature, String subLibrary, String collection, String itemStatus, String note,
                String library, String onHold, String requested, String expected, String loanStatus,
                String loanInTransit, String loanDueDate, String state) {
        this.docNumber = docNumber;
        this.recKey = recKey;
        this.barCode = barCode;
        this.signature = signature;
        this.studySignature = studySignature;
        this.subLibrary = subLibrary;
        this.collection = collection;
        this.itemStatus = itemStatus;
        this.note = note;
        this.library = library;
        this.onHold = onHold;
        this.requested = requested;
        this.expected = expected;
        this.loanStatus = loanStatus;
        this.loanInTransit = loanInTransit;
        this.loanDueDate = loanDueDate;
        this.state = state;
    }

    public String getDocNumber() {
        return docNumber;
    }

    public void setDocNumber(String docNumber) {
        this.docNumber = docNumber;
    }

    public String getRecKey() {
        return recKey;
    }

    public void setRecKey(String recKey) {
        this.recKey = recKey;
    }

    public String getBarCode() {
        return barCode;
    }

    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    public String getStudySignature() {
        return studySignature;
    }

    public void setStudySignature(String studySignature) {
        this.studySignature = studySignature;
    }

    public String getSubLibrary() {
        return subLibrary;
    }

    public void setSubLibrary(String subLibrary) {
        this.subLibrary = subLibrary;
    }

    public String getCollection() {
        return collection;
    }

    public void setCollection(String collection) {
        this.collection = collection;
    }

    public String getItemStatus() {
        return itemStatus;
    }

    public void setItemStatus(String itemStatus) {
        this.itemStatus = itemStatus;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getLibrary() {
        return library;
    }

    public void setLibrary(String library) {
        this.library = library;
    }

    public String getOnHold() {
        return onHold;
    }

    public void setOnHold(String onHold) {
        this.onHold = onHold;
    }

    public String getRequested() {
        return requested;
    }

    public void setRequested(String requested) {
        this.requested = requested;
    }

    public String getExpected() {
        return expected;
    }

    public void setExpected(String expected) {
        this.expected = expected;
    }

    public String getLoanStatus() {
        return loanStatus;
    }

    public void setLoanStatus(String loanStatus) {
        this.loanStatus = loanStatus;
    }

    public String getLoanInTransit() {
        return loanInTransit;
    }

    public void setLoanInTransit(String loanInTransit) {
        this.loanInTransit = loanInTransit;
    }

    public String getLoanDueDate() {
        return loanDueDate;
    }

    public void setLoanDueDate(String loanDueDate) {
        this.loanDueDate = loanDueDate;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }
}
